POST Agents/Find/CreateRestrictionGroup
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Find/CreateRestrictionGroup
Create a restriction group, initialized with next rank etc.
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Find/CreateRestrictionGroup?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
StorageType, ProviderName, StorageKey, Context
| Property Name | Type | Description |
|---|---|---|
| StorageType | String | |
| ProviderName | String | |
| StorageKey | String | |
| Context | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ArchiveRestrictionGroup
| Property Name | Type | Description |
|---|---|---|
| Name | string | Name of the group |
| Description | string | Description of the group |
| Rank | int32 | Rank of group among groups |
| Restrictions | array |
Sample request
POST /api/v1/Agents/Find/CreateRestrictionGroup
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"StorageType": "labore",
"ProviderName": "Feest-Harvey",
"StorageKey": "incidunt",
"Context": "fugit"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Name": "VIP Customers",
"Description": "High-value customer contacts",
"Rank": 1,
"Restrictions": [
{
"Name": "contact/category",
"Operator": "equals",
"Values": [
"2"
],
"DisplayValues": [
"VIP"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 0,
"InterOperator": "And",
"UniqueHash": 19
}
]
}